<?php
##################### Блок команд
//
if(isset($_GET['protect_exceptions']))
{  // Таблица исключений
if(mysql_query("TRUNCATE TABLE `protect_exceptions`"))
{$_SESSION['msg'].="Таблица исключений успешно очищена!<br />";}
else{$_SESSION['err'].="Таблица исключений пуста!<br />";}
mysql_query("OPTIMIZE TABLE `protect_exceptions`");
#header("Location: ipautoban.php?a=cleartab");exit;
}
if(isset($_GET['protect_all_visits']))
{  // Таблица слежения
if(mysql_query("TRUNCATE TABLE `protect_all_visits`"))
{$_SESSION['msg'].="Таблица слежения успешно очищена!<br />";}
else{$_SESSION['err'].="Таблица слежения пуста!<br />";}
mysql_query("OPTIMIZE TABLE `protect_all_visits`");
#header("Location: ipautoban.php?a=cleartab");exit;
}
if(isset($_GET['protect_black_list_ip']))
{  // Таблица банлиста
if(mysql_query("TRUNCATE TABLE `protect_black_list_ip`"))
{$_SESSION['msg'].="Таблица банлиста успешно очищена!<br />";}
else{$_SESSION['err'].="Таблица банлиста пуста!<br />";}
mysql_query("OPTIMIZE TABLE `protect_black_list_ip`");
rebuild_htaccess();
}
if(isset($_GET['protect_black_list_ip']) or isset($_GET['protect_all_visits']) or isset($_GET['protect_exceptions']))
{
header("Location: ?l=ipautoban&a=cleartab&");exit;
}
#################################
// Очистка таблиц
echo "<div class='title'>Очистка таблиц</div>";
echo "<div style='color: #f00; font-weight: bolder; background-color: #fff; text-align: center'>";
echo <<< NOTE
ВНИМАНИЕ!<br />
Функции ниже очистят таблицы полностью! <br />Для управления конкретными IP адресами воспользуйтесь
соответствующими пунктами меню!
NOTE;
echo "</div><div class='menu'>";
echo "<a href='?l=ipautoban&a=cleartab&protect_exceptions'>Таблица исключений</a><br />";
echo "<a href='?l=ipautoban&a=cleartab&protect_black_list_ip'>Таблица банлиста</a><br />";
echo "<a href='?l=ipautoban&a=cleartab&protect_all_visits'>Таблица слежения</a><br />";
echo "<a href='?l=ipautoban&a=cleartab&protect_all_visits&amp;protect_black_list_ip&amp;protect_exceptions'>Все таблицы!</a><br />";
echo "</div>";
?>